Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# ACE_SSL_SOCK Class Reference

An abstract class that forms the basis for more specific classes, such as "ACE_SSL_SOCK_Acceptor" and "ACE_SSL_SOCK_Stream". Do not instantiate this class. More...

`#include <SSL_SOCK.h>`

Inheritance diagram for ACE_SSL_SOCK:

[legend]
Collaboration diagram for ACE_SSL_SOCK:

[legend]
List of all members.

## Public Methods
| ~ACE_SSL_SOCK (void)
| Default destructor. More...
int | set_option (int level, int option, void *optval, int optlen) const
int | get_option (int level, int option, void *optval, int *optlen) const
int | enable (int value) const
int | disable (int value) const
void | set_handle (ACE_HANDLE)
ACE_HANDLE | get_handle (void) const
int | control (int cmd, void *arg) const
## Protected Methods
| ACE_SSL_SOCK (void)
| Default constructor is private to prevent instances of this class from being defined. More...

## Detailed Description

An abstract class that forms the basis for more specific classes, such as "ACE_SSL_SOCK_Acceptor" and "ACE_SSL_SOCK_Stream". Do not instantiate this class.

This class provides functions that are common to all of the ACE_SSL_SOCK_* classes. ACE_SSL_SOCK provides the ability to get and set socket options, get the local and remote addresses, and close the socket.

## Constructor & Destructor Documentation

ACE_SSL_SOCK::~ACE_SSL_SOCK | ( | void |  | ) |

| Default destructor.

ACE_SSL_SOCK::ACE_SSL_SOCK | ( | void |  | ) | `[protected]`

| Default constructor is private to prevent instances of this class from being defined.

## Member Function Documentation

ASYS_INLINE int ACE_SSL_SOCK::control | ( | int | cmd,
|  | void * | arg
| ) | const

| Reimplemented from ACE_IPC_SAP.

int ACE_SSL_SOCK::disable | ( | int | value | ) | const

| Reimplemented from ACE_IPC_SAP.

int ACE_SSL_SOCK::enable | ( | int | value | ) | const

| Reimplemented from ACE_IPC_SAP.

ASYS_INLINE ACE_HANDLE ACE_SSL_SOCK::get_handle | ( | void |  | ) | const

| Reimplemented from ACE_IPC_SAP.

ASYS_INLINE int ACE_SSL_SOCK::get_option | ( | int | level,
|  | int | option,
|  | void * | optval,
|  | int * | optlen
| ) | const

| Reimplemented from ACE_SOCK.

ASYS_INLINE void ACE_SSL_SOCK::set_handle | ( | ACE_HANDLE | fd | ) |

| Reimplemented from ACE_IPC_SAP. Reimplemented in ACE_SSL_SOCK_Stream.

ASYS_INLINE int ACE_SSL_SOCK::set_option | ( | int | level,
|  | int | option,
|  | void * | optval,
|  | int | optlen
| ) | const

| Override ACE_SOCK base class implementations with these SSL specific ones. Reimplemented from ACE_SOCK.

The documentation for this class was generated from the following files:

- SSL_SOCK.h
- SSL_SOCK.cpp
- SSL_SOCK.i